## oca-core 11.0.20180420

=== requirements.txt ===
Babel==2.3.4
decorator==4.0.10
docutils==0.12
ebaysdk==2.1.5
feedparser==5.2.1
gevent==1.1.2 ; sys_platform != 'win32'
greenlet==0.4.10
html2text==2016.9.19
Jinja2==2.8
lxml==3.7.1 ; sys_platform != 'win32'
lxml ; sys_platform == 'win32'
Mako==1.0.4
MarkupSafe==0.23
mock==2.0.0
num2words==0.5.4
ofxparse==0.16
passlib==1.6.5
Pillow==4.0.0
psutil==4.3.1; sys_platform != 'win32'
psycopg2==2.7.3.1; sys_platform != 'win32'
pydot==1.2.3
pyldap==2.4.28; sys_platform != 'win32'
pyparsing==2.1.10
PyPDF2==1.26.0
pyserial==3.1.1
python-dateutil==2.5.3
pytz==2016.7
pyusb==1.0.0
PyYAML==3.12
qrcode==5.3
reportlab==3.3.0
requests==2.11.1
suds-jurko==0.6
vatnumber==1.2
vobject==0.9.3
Werkzeug==0.11.15
XlsxWriter==0.9.3
xlwt==1.3.*
xlrd==1.0.0
pypiwin32 ; sys_platform == 'win32'

=== debian/changelog ===
oca-core (11.0.20180420-1) unstable; urgency=medium

  [ Sophie Brun ]
  * Initial packaging of OCA in Debian (Closes: #896157)

  [ Raphaël Hertzog ]
  * Add wkhtmltopdf to Recommends.
  * Conflicts with "odoo" to not allow co-installation since they share the
    same Python namespace.
  * Rename odoo.service into oca-core.service to get it installed by default.
  * Add README.Debian with basic installation instructions.
  * Add a basic autopkgtest.
  * Update maintainer field to use new team and put myself in Uploaders.
  * Update Standards-Version to 4.1.4.

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 20 Apr 2018 16:26:18 +0200

=== debian/control ===
Source: oca-core
Section: net
Priority: optional
Maintainer: OCA Packaging Team <team+oca@tracker.debian.org>
Uploaders: Sophie Brun <sophie@freexian.com>, Raphaël Hertzog <hertzog@debian.org>
Build-Depends: debhelper (>= 11), dh-python, python3, python3-setuptools
Standards-Version: 4.1.4
Homepage: https://github.com/OCA/OCB
Vcs-Git: https://salsa.debian.org/freexian-team/oca.git
Vcs-Browser: https://salsa.debian.org/freexian-team/oca

Package: oca-core
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 adduser,
 lsb-base,
 node-less,
 postgresql-client,
 fonts-inconsolata,
 fonts-glewlwyd,
 libjs-underscore,
Recommends:
 ${python3:Recommends},
 postgresql,
 python3-num2words,
 wkhtmltopdf
Conflicts: odoo
Provides: ${odoo-addons-Provides}
Description: Odoo Community business app
 This package contains the core of the Odoo application, maintained by OCA,
 the Open Community Association.
 .
 Odoo, formerly known as OpenERP, is a suite of open-source business apps. This
 suite of applications covers all business needs, from Website/Ecommerce down
 to manufacturing, inventory and accounting, all seamlessly integrated. Odoo's
 technical features include a distributed server, flexible workflows, an object
 database, a dynamic GUI, customizable reports, and an XML-RPC interface.

=== debian/watch ===
version=4
# if upstream make release tag...
#opts="filenamemangle=s/.*\/v?(\d.*)\.tar\.gz/oca-core-$1.tar.gz/" \
#https://github.com/OCA/OCB/tags .*/v?(\d.*)\.tar\.gz

#Odoo nightly tarballs
https://nightly.odoo.com/11.0/nightly/src/ odoo_([\d\.]+).tar.gz

## oca-core 11.0.20180730

=== requirements.txt ===
--- 
+++ 
@@ -3,11 +3,14 @@
 docutils==0.12
 ebaysdk==2.1.5
 feedparser==5.2.1
-gevent==1.1.2 ; sys_platform != 'win32'
-greenlet==0.4.10
+gevent==1.1.2 ; sys_platform != 'win32' and python_version < '3.7'
+gevent==1.3.4 ; sys_platform != 'win32' and python_version >= '3.7'
+greenlet==0.4.10 ; python_version < '3.7'
+greenlet==0.4.13 ; python_version >= '3.7'
 html2text==2016.9.19
 Jinja2==2.8
-lxml==3.7.1 ; sys_platform != 'win32'
+lxml==3.7.1 ; sys_platform != 'win32' and python_version < '3.7'
+lxml==4.2.3 ; sys_platform != 'win32' and python_version >= '3.7'
 lxml ; sys_platform == 'win32'
 Mako==1.0.4
 MarkupSafe==0.23
@@ -15,6 +18,7 @@
 num2words==0.5.4
 ofxparse==0.16
 passlib==1.6.5
+phonenumbers
 Pillow==4.0.0
 psutil==4.3.1; sys_platform != 'win32'
 psycopg2==2.7.3.1; sys_platform != 'win32'

=== debian/changelog ===
oca-core (11.0.20180730-1) unstable; urgency=medium

  [ Sophie Brun ]
  * New upstream version 11.0.20180730 compatible with Python3.7
    (Closes: #904370)
  * Fix VCS fields
  * Bump Standards-Version to 4.1.5 (no changes)
  * Remove unused lintian-overrides

  [ Raphaël Hertzog ]
  * Update watch file to track release tarballs from OCB instead of Odoo

 -- Sophie Brun <sophie@freexian.com>  Fri, 24 Aug 2018 18:35:22 +0200

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: OCA Packaging Team <team+oca@tracker.debian.org>
 Uploaders: Sophie Brun <sophie@freexian.com>, Raphaël Hertzog <hertzog@debian.org>
 Build-Depends: debhelper (>= 11), dh-python, python3, python3-setuptools
-Standards-Version: 4.1.4
+Standards-Version: 4.1.5
 Homepage: https://github.com/OCA/OCB
-Vcs-Git: https://salsa.debian.org/freexian-team/oca.git
-Vcs-Browser: https://salsa.debian.org/freexian-team/oca
+Vcs-Git: https://salsa.debian.org/freexian-team/oca-core.git
+Vcs-Browser: https://salsa.debian.org/freexian-team/oca-core
 
 Package: oca-core
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=odoo-bin
export PYBUILD_DISABLE=test

%:
	dh $@ --with=python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	rm debian/oca-core/usr/lib/python3*/dist-packages/odoo/addons/point_of_sale/static/src/fonts/Inconsolata.otf
	rm debian/oca-core/usr/lib/python3*/dist-packages/odoo/addons/web/static/lib/bootstrap/fonts/glyphicons-halflings-regular.ttf
	rm debian/oca-core/usr/lib/python3*/dist-packages/odoo/addons/web/static/lib/fontawesome/fonts/FontAwesome.otf
	rm debian/oca-core/usr/lib/python3*/dist-packages/odoo/addons/web/static/lib/fontawesome/fonts/fontawesome-webfont.ttf

override_dh_fixperms:
	dh_fixperms
	chmod 644 debian/oca-core/usr/lib/python3/dist-packages/odoo/addons/l10n_ro/data/res.bank.csv

override_dh_gencontrol:
	debian/create-addons-list
	dh_gencontrol -- -Vodoo-addons-Provides="$$(cat debian/addons-list)"

=== debian/tests/control ===
Tests: basic-tests
Depends: postgresql, curl, @
Restrictions: isolation-container, breaks-testbed, needs-root, allow-stderr

=== debian/watch ===
version=4
# if upstream make release tag in github...
#opts="filenamemangle=s/.*\/v?(\d.*)\.tar\.gz/oca-core-$1.tar.gz/" \
#https://github.com/OCA/OCB/tags .*/v?(\d.*)\.tar\.gz

#OCB nightly tarballs
https://wheelhouse.odoo-community.org/ocb-nightly/11.0/src/ odoo_([\d\.]+).tar.gz

## oca-core 11.0.20191007

=== requirements.txt ===
--- 
+++ 
@@ -8,14 +8,14 @@
 greenlet==0.4.10 ; python_version < '3.7'
 greenlet==0.4.13 ; python_version >= '3.7'
 html2text==2016.9.19
-Jinja2==2.8
+Jinja2==2.10.1
 lxml==3.7.1 ; sys_platform != 'win32' and python_version < '3.7'
 lxml==4.2.3 ; sys_platform != 'win32' and python_version >= '3.7'
 lxml ; sys_platform == 'win32'
 Mako==1.0.4
 MarkupSafe==0.23
 mock==2.0.0
-num2words==0.5.4
+num2words==0.5.6
 ofxparse==0.16
 passlib==1.6.5
 phonenumbers
@@ -30,10 +30,11 @@
 python-dateutil==2.5.3
 pytz==2016.7
 pyusb==1.0.0
-PyYAML==3.12
+PyYAML==3.12 ; python_version < '3.7'
+PyYAML==3.13 ; python_version >= '3.7'
 qrcode==5.3
 reportlab==3.3.0
-requests==2.11.1
+requests==2.20.0
 suds-jurko==0.6
 vatnumber==1.2
 vobject==0.9.3

=== debian/changelog ===
oca-core (11.0.20191007-4) unstable; urgency=medium

  [ Sébastien Delafond ]
  * Source-only upload (Closes: #964448)

 -- Sebastien Delafond <seb@debian.org>  Tue, 07 Jul 2020 15:38:01 +0200

oca-core (11.0.20191007-3) unstable; urgency=medium

  [ Sébastien Delafond ]
  * Link one more font from glyphicons
  * Bump-up Standards-Version

 -- Sebastien Delafond <seb@debian.org>  Wed, 24 Jun 2020 10:43:13 +0200

oca-core (11.0.20191007-2) unstable; urgency=medium

  [ Sébastien Delafond ]
  * Replace dependency on fonts-glewlwyd with awesome+glyphicons (Closes: 962877)

 -- Sebastien Delafond <seb@debian.org>  Wed, 24 Jun 2020 09:31:04 +0200

oca-core (11.0.20191007-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Sébastien Delafond ]
  * d/gbp.conf
  * New upstream version 11.0.20191007
  * d/py3dist-overrides: add suds_jurko definition

 -- Sebastien Delafond <seb@debian.org>  Mon, 04 May 2020 10:18:36 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: OCA Packaging Team <team+oca@tracker.debian.org>
 Uploaders: Sophie Brun <sophie@freexian.com>, Raphaël Hertzog <hertzog@debian.org>
-Build-Depends: debhelper (>= 11), dh-python, python3, python3-setuptools
-Standards-Version: 4.1.5
+Build-Depends: debhelper-compat (= 12), dh-python, python3, python3-setuptools
+Standards-Version: 4.5.0
 Homepage: https://github.com/OCA/OCB
 Vcs-Git: https://salsa.debian.org/freexian-team/oca-core.git
 Vcs-Browser: https://salsa.debian.org/freexian-team/oca-core
@@ -19,7 +19,8 @@
  node-less,
  postgresql-client,
  fonts-inconsolata,
- fonts-glewlwyd,
+ fonts-font-awesome,
+ fonts-glyphicons-halflings,
  libjs-underscore,
 Recommends:
  ${python3:Recommends},
@@ -36,4 +37,4 @@
  suite of applications covers all business needs, from Website/Ecommerce down
  to manufacturing, inventory and accounting, all seamlessly integrated. Odoo's
  technical features include a distributed server, flexible workflows, an object
- database, a dynamic GUI, customizable reports, and an XML-RPC interface. 
+ database, a dynamic GUI, customizable reports, and an XML-RPC interface.

=== debian/rules ===
--- 
+++ 
@@ -11,8 +11,14 @@
 	dh_auto_install
 	rm debian/oca-core/usr/lib/python3*/dist-packages/odoo/addons/point_of_sale/static/src/fonts/Inconsolata.otf
 	rm debian/oca-core/usr/lib/python3*/dist-packages/odoo/addons/web/static/lib/bootstrap/fonts/glyphicons-halflings-regular.ttf
+	rm debian/oca-core/usr/lib/python3*/dist-packages/odoo/addons/web/static/lib/bootstrap/fonts/glyphicons-halflings-regular.eot
+	rm debian/oca-core/usr/lib/python3*/dist-packages/odoo/addons/web/static/lib/bootstrap/fonts/glyphicons-halflings-regular.woff
+	rm debian/oca-core/usr/lib/python3*/dist-packages/odoo/addons/web/static/lib/bootstrap/fonts/glyphicons-halflings-regular.woff2
 	rm debian/oca-core/usr/lib/python3*/dist-packages/odoo/addons/web/static/lib/fontawesome/fonts/FontAwesome.otf
 	rm debian/oca-core/usr/lib/python3*/dist-packages/odoo/addons/web/static/lib/fontawesome/fonts/fontawesome-webfont.ttf
+	rm debian/oca-core/usr/lib/python3*/dist-packages/odoo/addons/web/static/lib/fontawesome/fonts/fontawesome-webfont.eot
+	rm debian/oca-core/usr/lib/python3*/dist-packages/odoo/addons/web/static/lib/fontawesome/fonts/fontawesome-webfont.woff
+	rm debian/oca-core/usr/lib/python3*/dist-packages/odoo/addons/web/static/lib/fontawesome/fonts/fontawesome-webfont.woff2
 
 override_dh_fixperms:
 	dh_fixperms
